petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSGetDimensions

Returns the size of the approximation space for each field on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetDimensions(PetscDS prob, PetscInt *dimensions[])

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

dimensions -The number of dimensions

### See Also

PetscDSGetComponentOffsets(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages